> ## Documentation Index
> Fetch the complete documentation index at: https://developers.kardinal.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Disable an OTP type in the actor's MFA config



## OpenAPI

````yaml /openapi.yaml post /auth/mfa/disable
openapi: 3.0.3
info:
  title: Kardinal ARO API
  version: 2.55.0
  description: This document specifies the REST API of Kardinal ARO v2.
  contact:
    url: https://kardinal.ai/
    email: contact@kardinal.ai
servers:
  - url: /api/v2
security:
  - access_token: []
tags:
  - name: Authenticate
    description: How to authenticate, and manage the access and refresh tokens.
  - name: Plan
    description: How to create, retrieve, update and delete plans.
  - name: Resource
    description: How to create, retrieve, update and delete resources in a plan.
  - name: Order
    description: How to create, retrieve, update and delete orders in a plan.
  - name: SimplePlan
    description: How to create a plan through the use of a simple plan.
paths:
  /auth/mfa/disable:
    post:
      tags:
        - Authenticate
      summary: Disable an OTP type in the actor's MFA config
      operationId: disableMFAConfig
      requestBody:
        content:
          application/json:
            schema:
              oneOf:
                - $ref: '#/components/schemas/MFAConfigRequestEmail'
                - $ref: '#/components/schemas/MFAConfigRequestSMS'
                - $ref: '#/components/schemas/MFAConfigRequestTOTP'
      responses:
        '200':
          description: The updated MFA config.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EnvelopedMFAConfig'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/NotAuthenticated'
        '403':
          $ref: '#/components/responses/Forbidden'
        '500':
          $ref: '#/components/responses/InternalServerError'
components:
  schemas:
    MFAConfigRequestEmail:
      type: object
      description: >-
        A request to update or disable the OTP type "email" in the user's MFA
        configuration.
      properties:
        otpType:
          type: string
          enum:
            - email
          description: '[TO_VALIDATE] Description pending review by a Kardinal engineer.'
        email:
          $ref: '#/components/schemas/Email'
        password:
          $ref: '#/components/schemas/Password'
      required:
        - otpType
        - email
        - password
    MFAConfigRequestSMS:
      type: object
      description: >-
        A request to update or disable the OTP type "sms" in the user's MFA
        configuration.
      properties:
        otpType:
          type: string
          enum:
            - sms
          description: '[TO_VALIDATE] Description pending review by a Kardinal engineer.'
        phoneNumber:
          $ref: '#/components/schemas/PhoneNumber'
        password:
          $ref: '#/components/schemas/Password'
      required:
        - otpType
        - phoneNumber
        - password
    MFAConfigRequestTOTP:
      type: object
      description: >-
        A request to update or disable the OTP type "totp" in the user's MFA
        configuration.
      properties:
        otpType:
          type: string
          enum:
            - totp
          description: '[TO_VALIDATE] Description pending review by a Kardinal engineer.'
        password:
          $ref: '#/components/schemas/Password'
      required:
        - otpType
        - password
    EnvelopedMFAConfig:
      type: object
      properties:
        item:
          $ref: '#/components/schemas/MFAConfig'
      description: '[TO_VALIDATE] Description pending review by a Kardinal engineer.'
    Email:
      type: string
      description: A valid email address.
      format: email
      example: martin.dupont@kardinal.ai
    Password:
      type: string
      format: password
      description: |
        A user password must contain at least:
        - 1 number,
        - 1 uppercase letter,
        - 1 lowercase letter,
        - 1 special character amongst the following:
          !"#$%&'()*+,-./:;<=>?@[]^_`{|}~
        - 12 characters.
        And it must not exceed 72 bytes.
      allOf:
        - type: string
          pattern: .*[0-9]{1}
        - type: string
          pattern: .*[A-Z]{1}
        - type: string
          pattern: .*[a-z]{1}
        - type: string
          pattern: .*[!"#$%&'()*+,-./:;<=>?@[\]^_`{|}~]{1}
        - type: string
          pattern: ^.{12,72}$
    PhoneNumber:
      type: string
      description: Phone number in E.164 international format (e.g., +33612345678).
      pattern: ^\+[1-9]\d{1,14}$
      example: '+33612345678'
    MFAConfig:
      type: object
      properties:
        updatedAt:
          description: The config's last update date.
          nullable: false
          readOnly: true
          allOf:
            - $ref: '#/components/schemas/DateTime'
        preferredType:
          $ref: '#/components/schemas/OTPType'
        availableTypes:
          description: >-
            The list of OTP types which have been configured by the actor in his
            MFA configuration.
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/OTPType'
          example:
            - email
            - sms
            - totp
        email:
          $ref: '#/components/schemas/ObfuscatedEmail'
        phoneNumber:
          $ref: '#/components/schemas/ObfuscatedPhoneNumber'
        totpConfig:
          nullable: true
          readOnly: true
          allOf:
            - $ref: '#/components/schemas/TOTPConfig'
        backupCodes:
          nullable: true
          readOnly: true
          allOf:
            - $ref: '#/components/schemas/BackupCodes'
      description: '[TO_VALIDATE] Description pending review by a Kardinal engineer.'
    EnvelopedErrors:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/Error'
      description: '[TO_VALIDATE] Description pending review by a Kardinal engineer.'
    DateTime:
      type: string
      description: >-
        A full calendar date time, expressed in the ISO8601 **date** format:
        YYYY-MM-DDThh:mm:ssZ.
      example: '2019-11-15T12:34:56Z'
    OTPType:
      type: string
      enum:
        - none
        - email
        - sms
        - totp
      default: none
      example: sms
      description: Type of OTP (One-Time Password).
    ObfuscatedEmail:
      type: string
      description: An obfuscated representation of the email used for MFA.
      nullable: true
      example: em***********.com
    ObfuscatedPhoneNumber:
      type: string
      description: An obfuscated representation of the phone number used for MFA
      nullable: true
      example: +336*******8
    TOTPConfig:
      type: object
      nullable: true
      properties:
        secret:
          type: string
          example: J5GEMOCTHFLDER22JU3DIRKDJJMEOOJZ
          description: A 32-characters secret code.
        url:
          type: string
          example: >-
            otpauth://totp/Kardinal:foobar?algorithm=SHA1&digits=6&issuer=Kardinal&period=30&secret=J5GE...OJZ
          description: The TOTP auth protocol url.
      description: '[TO_VALIDATE] Description pending review by a Kardinal engineer.'
    BackupCodes:
      type: array
      description: A list of 10 unique 16-characters backup codes.
      maxItems: 10
      minItems: 10
      items:
        $ref: '#/components/schemas/BackupCode'
      example:
        - E0ZE97NY1Z6WAW1L
        - 064M3TCQTR5B2Q74
        - 6BMR618ZH8CJ1WM5
        - 8ERR9CPIUL6FWB95
        - I8I09DQL5KHRS06A
        - NEGSE5TJGXCV2Z2G
        - 3XHWOE9DXL1YLKW1
        - VKWE0RN8RO3WXSMR
        - VV7U19AF4X1NSE83
        - V5DT0YG81DRXISEY
    Error:
      type: object
      readOnly: true
      properties:
        code:
          type: string
          description: '[TO_VALIDATE] Description pending review by a Kardinal engineer.'
        message:
          type: string
          description: '[TO_VALIDATE] Description pending review by a Kardinal engineer.'
        properties:
          $ref: '#/components/schemas/ErrorProperties'
      required:
        - message
        - code
      description: '[TO_VALIDATE] Description pending review by a Kardinal engineer.'
    BackupCode:
      type: string
      description: A unique 16-characters backup code.
      maxLength: 16
      minLength: 16
      example: E0ZE97NY1Z6WAW1L
    ErrorProperties:
      type: object
      additionalProperties:
        type: string
      description: '[TO_VALIDATE] Description pending review by a Kardinal engineer.'
  responses:
    BadRequest:
      description: >-
        The server could not understand the request due to invalid content (bad
        syntax, bad format, bad values, etc).
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/EnvelopedErrors'
    NotAuthenticated:
      description: The caller is not authenticated.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/EnvelopedErrors'
    Forbidden:
      description: The caller is not allowed to perform this action.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/EnvelopedErrors'
    InternalServerError:
      description: An internal server error has occurred.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/EnvelopedErrors'
  securitySchemes:
    access_token:
      type: http
      scheme: bearer
      bearerFormat: JWT

````